#@+leo-ver=4
#@+node:@file dump_globals.py
"""Dump globals at startup"""

from leoPlugins import *
from leoGlobals import *

#@+others
#@+node:onStart
def onStart (tag,keywords):

	print "\nglobals..."
	for s in globals():
		if s not in __builtins__:
			print s
	
	print "\nlocals..."
	for s in locals():
		if s not in __builtins__:
			print s
#@-node:onStart
#@-others

if 0: # Register the handlers...
	registerHandler("start2", onStart)

	__version__ = "1.2"
	plugin_signon(__name__)
#@nonl
#@-node:@file dump_globals.py
#@-leo
